package com.purui.prims.auth.api.authentication.request;


import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class UserReq {

    private Long id;

    @NotBlank(message = "name can not be null")
    private String userName;

    @NotBlank(message = "password can not be null")
    private String password;

    /**
     * 中文名
     */
    private String displayName;

    /**
     * 用户组
     */
    @NotBlank(message = "roleId can not be null")
    private Integer roleId;

    /**
     * 手机号
     */
    private String mobile;


}
