package com.purui.prims.headless.api.pojo;

import com.google.common.collect.Lists;
import com.purui.prims.headless.api.pojo.enums.AppAuthType;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class AppAuthConfig {

    @ApiModelProperty(value = "ID")
    private Long id;

    @ApiModelProperty(value = "授权类型")
    private AppAuthType type;

    @ApiModelProperty(value = "关联项（维度限定）")
    private List<AppAuthItem> relateItems = Lists.newArrayList();

}
