package com.purui.prims.headless.api.pojo.response;

import com.purui.prims.headless.api.pojo.DataItemInfo;
import com.purui.prims.headless.api.pojo.request.QueryFilter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
@ApiModel(value = "业务限定")
public class BizConditionResp extends DataItemInfo {

    @ApiModelProperty(value = "主题域ID")
    private Long domainId;

    @ApiModelProperty(value = "模型ID")
    private Long modelId;

    /**
     * 业务限定表达式
     */
    @ApiModelProperty(value = "业务限定表达式")
    private String defaultConfig;

    // 使用的指标数量
    @ApiModelProperty(value = "使用的指标数量")
    private Integer metricsCount;

    @ApiModelProperty(value = "业务限定过滤条件")
    List<QueryFilter> filters = new ArrayList<>();
}
