package com.purui.prims.headless.api.pojo.response;

import com.purui.prims.common.pojo.PersistenceConf;
import com.purui.prims.headless.api.pojo.request.MetricPersistenceConfigReq;
import lombok.Data;

/**
 * 持久化配置
 * @author charlie
 * @date 2024/6/21
 */
@Data
public class MetricPersistenceConfigResp extends MetricPersistenceConfigReq {

    Long modelId;

    String metricName;

    String runCycleName;

    String taskScripts;

    PersistenceConf conf;

    // 上次版本
    String lastVersion;

}
