package com.purui.prims.headless.api.pojo.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * 类说明
 *
 * @author charlie
 * @date 2024/10/10
 */
@Data
@ApiModel(value = "批量授权Req")
public class BatchRoleAuthReq {

    @ApiModelProperty(value = "数据ID")
    List<Long> dataIds;

    @ApiModelProperty(value = "数据类型")
    String dataType;

    @ApiModelProperty(value = "授权类型[VISIBLE,PUBLISH,EDIT,ADMIN]")
    List<String> authType = new ArrayList<>();

    @ApiModelProperty(value = "角色ID")
    List<Integer> roleIds;
}
