package com.purui.prims.headless.core.translator.calcite.s2sql;


import com.purui.prims.headless.api.pojo.response.DimensionResp;
import com.purui.prims.headless.core.translator.calcite.schema.SemanticItem;
import lombok.Data;

import java.util.List;


@Data
public class Metric implements SemanticItem {

    private String name;
    private List<String> owners;
    private String type;
    private MetricTypeParams metricTypeParams;
    // 业务限定
    private String bizCondition;
    // 统计周期
    private String period;
    // 时间维度
    private DimensionResp timeDimension;

    // 表达式
    private String expr;

    @Override
    public String getName() {
        return name;
    }
}
